### Function

# ICalGLib VcardComponent kind_from_string

since: 4.0

#### Declaration [src]

    ICalVcardComponentKind
    i_cal_vcard_component_kind_from_string (
      const gchar* string
    )

#### Description [src]

Converts a string to an `ICalVcardComponentKind`.

Available since: 4.0

#### Parameters

`string`

  Type: `const gchar*`

  A string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ICalVcardComponentKind`

An `ICalVcardComponentKind`.